Kennisgewing-hanteerders
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Besonderhede | Beskrywing |
|---|---|---|
| search | Opsioneel String | Die soekstring. |
| search_by | Opsioneel String | Watter veld soek jy op. Toegelate waardes is: name. |
| is_enabled | Opsioneel Booleaans | |
| type | Opsioneel String | Watter veld soek jy op. Toegelate waardes is: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opsioneel String | Toegelate waardes: datetime, last_datetime |
| datetime_start | Opsioneel String | Filter resultate vanaf hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| datetime_end | Opsioneel String | Filter resultate tot hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| order_by | Opsioneel String | Watter veld om die resultate volgens te orden. Toegelate waardes is: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsioneel String | Die ordening van die resultate. Toegestane waardes is: ASC vir opgaande ordening, en DESC vir afgaande ordening. |
| search | Opsioneel String | Die soekstring. |
| search_by | Opsioneel String | Watter veld soek jy op. Toegelate waardes is: name. |
| is_enabled | Opsioneel Booleaans | |
| type | Opsioneel String | Watter veld soek jy op. Toegelate waardes is: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opsioneel String | Toegelate waardes: datetime, last_datetime |
| datetime_start | Opsioneel String | Filter resultate vanaf hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| datetime_end | Opsioneel String | Filter resultate tot hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| order_by | Opsioneel String | Watter veld om die resultate volgens te orden. Toegelate waardes is: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsioneel String | Die ordening van die resultate. Toegestane waardes is: ASC vir opgaande ordening, en DESC vir afgaande ordening. |
| page | Opsioneel Heelgetal | Die bladsynommer waarvan jy resultate wil hê. Standaard op 1. |
| results_per_page | Opsioneel Heelgetal | Hoeveel resultate wil jy per bladsy hê. Toegestane waardes is: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 17:10:43",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 17:10:43",
}
}
POST https://tistos.com/api/notification-handlers
| Parameters | Besonderhede | Beskrywing |
|---|---|---|
| name | Verpligtend String | - |
| type | Verpligtend String | Toegelate waardes: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opsioneel String | Beskikbaar wanneer: type = email E-pos | |
| webhook | Opsioneel String | Beskikbaar wanneer: type = webhook Webhook-URL |
| slack | Opsioneel String | Beskikbaar wanneer: type = slack Slack-webhook-URL |
| discord | Opsioneel String | Beskikbaar wanneer: type = discord Discord-webhook-URL |
| telegram | Opsioneel String | Beskikbaar wanneer: type = telegram Telegram API-token |
| telegram_chat_id | Opsioneel String | Beskikbaar wanneer: type = telegram Telegram-kletskamer-ID |
| microsoft_teams | Opsioneel String | Beskikbaar wanneer: type = microsoft_teams Microsoft Teams-webhook-URL |
| google_chat | Opsioneel String | Beskikbaar wanneer: type = google_chat Google Chat webhook-URL |
| x_consumer_key | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
| x_consumer_secret | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
| x_access_token | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
| x_access_token_secret | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Parameters | Besonderhede | Beskrywing |
|---|---|---|
| name | Opsioneel String | - |
| type | Opsioneel String | Toegelate waardes: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opsioneel String | Beskikbaar wanneer: type = email E-pos | |
| webhook | Opsioneel String | Beskikbaar wanneer: type = webhook Webhook-URL |
| slack | Opsioneel String | Beskikbaar wanneer: type = slack Slack-webhook-URL |
| discord | Opsioneel String | Beskikbaar wanneer: type = discord Discord-webhook-URL |
| telegram | Opsioneel String | Beskikbaar wanneer: type = telegram Telegram API-token |
| telegram_chat_id | Opsioneel String | Beskikbaar wanneer: type = telegram Telegram-kletskamer-ID |
| microsoft_teams | Opsioneel String | Beskikbaar wanneer: type = microsoft_teams Microsoft Teams-webhook-URL |
| google_chat | Opsioneel String | Beskikbaar wanneer: type = google_chat Google Chat webhook-URL |
| x_consumer_key | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
| x_consumer_secret | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
| x_access_token | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
| x_access_token_secret | Opsioneel String | Beskikbaar wanneer: type = x Telegram API-token |
| is_enabled | Opsioneel Booleaans | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \